<template>
  <header>
    <h1>🔫💬</h1>
    <div>
      <span>Hello <strong>{$username}</strong></span>
    </div>
    <button @click="signout()">Sign Out</button>
    <h3>Gun.js Chat</h3>
  </header>
</template>

<script setup lang="ts">
import { username, user } from "../data/clients/user";

function signout() {
  user.leave();
  username.set("");
}
</script>
